Message::Passing::Role::HasUsernameAndPassword(3pm)

NAME
Message::Passing::Role::HasUsernameAndPassword - common username and password attributes

SYNOPSIS
    package Message::Passing::Output::MyOutput;
    use Moo;
    use namespace::clean -except => 'meta';

    with 'Message::Passing::Role::HasUsernameAndPassword';

METHODS

  username
The username for a connection. Required, Str.

  password
The password for a connection. Required, Str.

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.